`sig
type key
type 'a t
val create : int -> 'a Hashtbl.S.t
val clear : 'a Hashtbl.S.t -> unit
val copy : 'a Hashtbl.S.t -> 'a Hashtbl.S.t
val add : 'a Hashtbl.S.t -> Hashtbl.S.key -> 'a -> unit
val remove : 'a Hashtbl.S.t -> Hashtbl.S.key -> unit
val find : 'a Hashtbl.S.t -> Hashtbl.S.key -> 'a
val find_all : 'a Hashtbl.S.t -> Hashtbl.S.key -> 'a list
val replace : 'a Hashtbl.S.t -> Hashtbl.S.key -> 'a -> unit
val mem : 'a Hashtbl.S.t -> Hashtbl.S.key -> bool
val iter : (Hashtbl.S.key -> 'a -> unit) -> 'a Hashtbl.S.t -> unit
val fold : (Hashtbl.S.key -> 'a -> 'b -> 'b) -> 'a Hashtbl.S.t -> 'b -> 'b
val length : 'a Hashtbl.S.t -> int
end`